Bug 209114

Summary: make installworld is no longer installing Kyuafiles properly in subdirectories
Product: Base System Reporter: Enji Cooper <ngie>
Component: miscAssignee: Glen Barber <gjb>
Status: Closed FIXED    
Severity: Affects Some People CC: bdrewery, gjb, testing
Priority: ---    
Version: CURRENT   
Hardware: Any   
OS: Any   

Description Enji Cooper freebsd_committer 2016-04-27 23:23:22 UTC
While digging through why the Jenkins build test count had decreased so dramatically (see https://jenkins.freebsd.org/job/FreeBSD_HEAD/186/testReport/ ), I rm -Rf'ed /usr/tests, ran make installworld, and noted that Kyuafile isn't being properly installed now in many subdirectories. I've included a sample from .../bin below.

This used to work a few weeks ago I think... I don't know when exactly it broke.

$ svnversion /usr/src
298720
$ svn info /usr/src/ | grep ^URL:
URL: http://svn.freebsd.org/base/head
$ find /usr/tests/bin/
/usr/tests/bin/
/usr/tests/bin/chown
/usr/tests/bin/chown/chown-f_test
/usr/tests/bin/mv
/usr/tests/bin/mv/legacy_test
/usr/tests/bin/sleep
/usr/tests/bin/sh
/usr/tests/bin/sh/parser
/usr/tests/bin/sh/parser/functional_test
/usr/tests/bin/sh/execution
/usr/tests/bin/sh/execution/functional_test
/usr/tests/bin/sh/parameters
/usr/tests/bin/sh/parameters/functional_test
/usr/tests/bin/sh/builtins
/usr/tests/bin/sh/builtins/functional_test
/usr/tests/bin/sh/set-e
/usr/tests/bin/sh/set-e/functional_test
/usr/tests/bin/sh/errors
/usr/tests/bin/sh/errors/functional_test
/usr/tests/bin/sh/expansion
/usr/tests/bin/sh/expansion/functional_test
/usr/tests/bin/Kyuafile
/usr/tests/bin/date
/usr/tests/bin/date/format_string_test
/usr/tests/bin/pax
/usr/tests/bin/pax/legacy_test
/usr/tests/bin/ls
/usr/tests/bin/ls/ls_tests
/usr/tests/bin/cat
/usr/tests/bin/cat/cat_test
/usr/tests/bin/expr
/usr/tests/bin/expr/expr_test
/usr/tests/bin/dd
/usr/tests/bin/dd/dd_test
/usr/tests/bin/test
/usr/tests/bin/test/legacy_test
/usr/tests/bin/pkill
/usr/tests/bin/pkill/pkill-F_test
/usr/tests/bin/pkill/pgrep-LF_test
/usr/tests/bin/pkill/pgrep-U_test
/usr/tests/bin/pkill/pkill-x_test
/usr/tests/bin/pkill/pgrep-v_test
/usr/tests/bin/pkill/pgrep-o_test
/usr/tests/bin/pkill/pkill-t_test
/usr/tests/bin/pkill/pkill-i_test
/usr/tests/bin/pkill/pgrep-g_test
/usr/tests/bin/pkill/pgrep-_g_test
/usr/tests/bin/pkill/pgrep-j_test
/usr/tests/bin/pkill/pgrep-n_test
/usr/tests/bin/pkill/pgrep-_s_test
/usr/tests/bin/pkill/pgrep-s_test
/usr/tests/bin/pkill/pgrep-P_test
/usr/tests/bin/pkill/pkill-s_test
/usr/tests/bin/pkill/pkill-P_test
/usr/tests/bin/pkill/pkill-LF_test
/usr/tests/bin/pkill/pkill-j_test
/usr/tests/bin/pkill/pkill-_g_test
/usr/tests/bin/pkill/pgrep-l_test
/usr/tests/bin/pkill/pgrep-q_test
/usr/tests/bin/pkill/pgrep-i_test
/usr/tests/bin/pkill/pkill-g_test
/usr/tests/bin/pkill/pgrep-t_test
/usr/tests/bin/pkill/pgrep-x_test
/usr/tests/bin/pkill/pkill-U_test
/usr/tests/bin/pkill/pgrep-F_test
$ find /usr/tests/bin/ -name Kyuafile
/usr/tests/bin/Kyuafile
Comment 1 Bryan Drewery freebsd_committer 2016-04-27 23:24:28 UTC
It's the release-pkg merge. See r298107 on bin/sh/tests/builtins/Makefile.
It ends up removing FILES from FILESGROUPS, since it defines FILESGROUPS as TESTS and doesn't add FILES.
Comment 2 Bryan Drewery freebsd_committer 2016-04-27 23:24:52 UTC
(In reply to Bryan Drewery from comment #1)
> It's the release-pkg merge. See r298107 on bin/sh/tests/builtins/Makefile.
> It ends up removing FILES from FILESGROUPS, since it defines FILESGROUPS as
> TESTS and doesn't add FILES.

Note this pattern is all over the test Makefiles, this is just one example.
Comment 3 Glen Barber freebsd_committer 2016-04-28 02:55:07 UTC
Superficially, this looks similar to the /etc packaging problem.  I'm looking into it.
Comment 4 commit-hook freebsd_committer 2016-04-29 05:29:28 UTC
A commit references this bug:

Author: gjb
Date: Fri Apr 29 05:28:44 UTC 2016
New revision: 298768
URL: https://svnweb.freebsd.org/changeset/base/298768

Log:
  Fix including Kyuafile in packaged base system.

  Fix a related typo while here.

  Note, this change results in the Kyuafile inclusion in the runtime
  package, which needs to be fixed, however addresses the PR as far
  as I can tell in my tests.

  PR:		209114
  Submitted by:	ngie
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/bin/tests/Makefile
  head/cddl/lib/tests/Makefile
  head/cddl/sbin/tests/Makefile
  head/cddl/tests/Makefile
  head/cddl/usr.bin/tests/Makefile
  head/cddl/usr.sbin/tests/Makefile
  head/gnu/lib/tests/Makefile
  head/gnu/tests/Makefile
  head/gnu/usr.bin/tests/Makefile
  head/lib/atf/libatf-c/tests/detail/Makefile
  head/lib/atf/tests/Makefile
  head/lib/atf/tests/test-programs/Makefile
  head/lib/tests/Makefile
  head/libexec/atf/atf-sh/tests/Makefile
  head/libexec/atf/tests/Makefile
  head/libexec/tests/Makefile
  head/sbin/tests/Makefile
  head/secure/lib/tests/Makefile
  head/secure/libexec/tests/Makefile
  head/secure/tests/Makefile
  head/secure/usr.bin/tests/Makefile
  head/secure/usr.sbin/tests/Makefile
  head/share/examples/tests/Makefile
  head/share/examples/tests/tests/Makefile
  head/share/examples/tests/tests/atf/Makefile
  head/share/examples/tests/tests/plain/Makefile
  head/share/tests/Makefile
  head/tests/Makefile
  head/tests/etc/Makefile
  head/usr.bin/tests/Makefile
  head/usr.sbin/tests/Makefile
Comment 5 Glen Barber freebsd_committer 2016-04-29 05:32:53 UTC
In my tests, this should be fixed.  Please file a new PR for anything missed.
Comment 6 commit-hook freebsd_committer 2016-05-04 23:21:13 UTC
A commit references this bug:

Author: ngie
Date: Wed May  4 23:20:55 UTC 2016
New revision: 299094
URL: https://svnweb.freebsd.org/changeset/base/299094

Log:
  Merge ^/user/ngie/release-pkg-fix-tests to unbreak how test files are installed
  after r298107

  Summary of changes:

  - Replace all instances of FILES/TESTS with ${PACKAGE}FILES. This ensures that
    namespacing is kept with FILES appropriately, and that this shouldn't need
    to be repeated if the namespace changes -- only the definition of PACKAGE
    needs to be changed
  - Allow PACKAGE to be overridden by callers instead of forcing it to always be
    `tests`. In the event we get to the point where things can be split up
    enough in the base system, it would make more sense to group the tests
    with the blocks they're a part of, e.g. byacc with byacc-tests, etc
  - Remove PACKAGE definitions where possible, i.e. where FILES wasn't used
    previously.
  - Remove unnecessary TESTSPACKAGE definitions; this has been elided into
    bsd.tests.mk
  - Remove unnecessary BINDIRs used previously with ${PACKAGE}FILES;
    ${PACKAGE}FILESDIR is now automatically defined in bsd.test.mk.
  - Fix installation of files under data/ subdirectories in lib/libc/tests/hash
    and lib/libc/tests/net/getaddrinfo
  - Remove unnecessary .include <bsd.own.mk>s (some opportunistic cleanup)

  Document the proposed changes in share/examples/tests/tests/... via examples
  so it's clear that ${PACKAGES}FILES is the suggested way forward in terms of
  replacing FILES. share/mk/bsd.README didn't seem like the appropriate method
  of communicating that info.

  MFC after: never probably
  X-MFC with: r298107
  PR: 209114
  Relnotes: yes
  Tested with: buildworld, installworld, checkworld; buildworld, packageworld
  Sponsored by: EMC / Isilon Storage Division

Changes:
_U  head/
  head/bin/cat/tests/Makefile
  head/bin/date/tests/Makefile
  head/bin/dd/tests/Makefile
  head/bin/expr/tests/Makefile
  head/bin/ls/tests/Makefile
  head/bin/mv/tests/Makefile
  head/bin/pax/tests/Makefile
  head/bin/pkill/tests/Makefile
  head/bin/sh/tests/Makefile
  head/bin/sh/tests/builtins/Makefile
  head/bin/sh/tests/errors/Makefile
  head/bin/sh/tests/execution/Makefile
  head/bin/sh/tests/expansion/Makefile
  head/bin/sh/tests/parameters/Makefile
  head/bin/sh/tests/parser/Makefile
  head/bin/sh/tests/set-e/Makefile
  head/bin/sleep/tests/Makefile
  head/bin/test/tests/Makefile
  head/bin/tests/Makefile
  head/cddl/lib/tests/Makefile
  head/cddl/sbin/tests/Makefile
  head/cddl/tests/Makefile
  head/cddl/usr.bin/tests/Makefile
  head/cddl/usr.sbin/dtrace/tests/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/aggs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/arithmetic/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/arrays/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/assocs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/begin/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/bitfields/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/buffering/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/builtinvar/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/cg/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/clauses/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/cpc/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/decls/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/docsExamples/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/drops/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/dtraceUtil/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/end/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/enum/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/error/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/exit/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/fbtprovider/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/funcs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/grammar/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/include/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/inline/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/io/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/ip/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/java_api/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/json/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/lexer/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/llquantize/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/mdb/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/mib/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/misc/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/multiaggs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/nfs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/offsetof/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/operators/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/pid/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/plockstat/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/pointers/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/pragma/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/predicates/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/preprocessor/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/print/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/printa/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/printf/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/privs/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/probes/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/proc/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/profile-n/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/providers/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/raise/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/rates/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/safety/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/scalars/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/sched/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/scripting/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/sdt/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/sizeof/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/speculation/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/stability/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/stack/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/stackdepth/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/stop/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/strlen/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/strtoll/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/struct/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/syscall/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/sysevent/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/tick-n/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/trace/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/tracemem/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/translators/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/typedef/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/types/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/uctf/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/union/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/usdt/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/ustack/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/vars/Makefile
  head/cddl/usr.sbin/dtrace/tests/common/version/Makefile
  head/cddl/usr.sbin/dtrace/tests/dtrace.test.mk
  head/cddl/usr.sbin/dtrace/tests/tools/genmakefiles.sh
  head/cddl/usr.sbin/tests/Makefile
  head/gnu/lib/tests/Makefile
  head/gnu/tests/Makefile
  head/gnu/usr.bin/diff/tests/Makefile
  head/gnu/usr.bin/tests/Makefile
  head/lib/atf/libatf-c/tests/Makefile
  head/lib/atf/libatf-c/tests/detail/Makefile
  head/lib/atf/libatf-c++/tests/Makefile
  head/lib/atf/libatf-c++/tests/detail/Makefile
  head/lib/atf/tests/Makefile
  head/lib/atf/tests/test-programs/Makefile
  head/lib/libarchive/tests/Makefile
  head/lib/libc/tests/Makefile
  head/lib/libc/tests/c063/Makefile
  head/lib/libc/tests/db/Makefile
  head/lib/libc/tests/gen/Makefile
  head/lib/libc/tests/gen/execve/Makefile
  head/lib/libc/tests/gen/posix_spawn/Makefile
  head/lib/libc/tests/hash/Makefile
  head/lib/libc/tests/inet/Makefile
  head/lib/libc/tests/locale/Makefile
  head/lib/libc/tests/net/Makefile
  head/lib/libc/tests/net/getaddrinfo/Makefile
  head/lib/libc/tests/nss/Makefile
  head/lib/libc/tests/regex/Makefile
  head/lib/libc/tests/resolv/Makefile
  head/lib/libc/tests/rpc/Makefile
  head/lib/libc/tests/setjmp/Makefile
  head/lib/libc/tests/ssp/Makefile
  head/lib/libc/tests/stdio/Makefile
  head/lib/libc/tests/stdlib/Makefile
  head/lib/libc/tests/string/Makefile
  head/lib/libc/tests/sys/Makefile
  head/lib/libc/tests/termios/Makefile
  head/lib/libc/tests/time/Makefile
  head/lib/libc/tests/tls/Makefile
  head/lib/libc/tests/tls/dso/Makefile
  head/lib/libc/tests/tls_dso/Makefile
  head/lib/libc/tests/ttyio/Makefile
  head/lib/libcrypt/tests/Makefile
  head/lib/libmp/tests/Makefile
  head/lib/libnv/tests/Makefile
  head/lib/libpam/libpam/tests/Makefile
  head/lib/libproc/tests/Makefile
  head/lib/librt/tests/Makefile
  head/lib/libthr/tests/Makefile
  head/lib/libthr/tests/dlopen/Makefile
  head/lib/libthr/tests/dlopen/dso/Makefile
  head/lib/libutil/tests/Makefile
  head/lib/libxo/tests/Makefile
  head/lib/libxo/tests/encoder/Makefile
  head/lib/msun/tests/Makefile
  head/lib/tests/Makefile
  head/libexec/atf/atf-check/tests/Makefile
  head/libexec/atf/atf-sh/tests/Makefile
  head/libexec/atf/tests/Makefile
  head/libexec/rtld-elf/tests/Makefile
  head/libexec/rtld-elf/tests/libpythagoras/Makefile
  head/libexec/rtld-elf/tests/target/Makefile
  head/libexec/tests/Makefile
  head/sbin/devd/tests/Makefile
  head/sbin/dhclient/tests/Makefile
  head/sbin/growfs/tests/Makefile
  head/sbin/ifconfig/tests/Makefile
  head/sbin/mdconfig/tests/Makefile
  head/sbin/tests/Makefile
  head/secure/lib/tests/Makefile
  head/secure/libexec/tests/Makefile
  head/secure/tests/Makefile
  head/secure/usr.bin/tests/Makefile
  head/secure/usr.sbin/tests/Makefile
  head/share/examples/tests/Makefile
  head/share/examples/tests/tests/Makefile
  head/share/examples/tests/tests/atf/Makefile
  head/share/examples/tests/tests/atf/cp_test.sh
  head/share/examples/tests/tests/plain/Makefile
  head/share/examples/tests/tests/plain/cp_test.sh
  head/share/mk/bsd.test.mk
  head/share/mk/suite.test.mk
  head/share/tests/Makefile
  head/sys/modules/tests/callout_test/Makefile
  head/sys/modules/tests/framework/Makefile
  head/tests/Makefile
  head/tests/etc/Makefile
  head/tests/etc/rc.d/Makefile
  head/tests/sys/Makefile
  head/tests/sys/acl/Makefile
  head/tests/sys/aio/Makefile
  head/tests/sys/fifo/Makefile
  head/tests/sys/file/Makefile
  head/tests/sys/geom/Makefile
  head/tests/sys/geom/class/Makefile
  head/tests/sys/geom/class/concat/Makefile
  head/tests/sys/geom/class/eli/Makefile
  head/tests/sys/geom/class/gate/Makefile
  head/tests/sys/geom/class/mirror/Makefile
  head/tests/sys/geom/class/nop/Makefile
  head/tests/sys/geom/class/raid3/Makefile
  head/tests/sys/geom/class/shsec/Makefile
  head/tests/sys/geom/class/stripe/Makefile
  head/tests/sys/geom/class/uzip/Makefile
  head/tests/sys/kern/Makefile
  head/tests/sys/kern/acct/Makefile
  head/tests/sys/kern/execve/Makefile
  head/tests/sys/kern/pipe/Makefile
  head/tests/sys/kqueue/Makefile
  head/tests/sys/mac/Makefile
  head/tests/sys/mac/bsdextended/Makefile
  head/tests/sys/mac/portacl/Makefile
  head/tests/sys/mqueue/Makefile
  head/tests/sys/netinet/Makefile
  head/tests/sys/opencrypto/Makefile
  head/tests/sys/pjdfstest/Makefile
  head/tests/sys/pjdfstest/pjdfstest/Makefile
  head/tests/sys/pjdfstest/tests/Makefile
  head/tests/sys/pjdfstest/tests/chflags/Makefile
  head/tests/sys/pjdfstest/tests/chmod/Makefile
  head/tests/sys/pjdfstest/tests/chown/Makefile
  head/tests/sys/pjdfstest/tests/ftruncate/Makefile
  head/tests/sys/pjdfstest/tests/granular/Makefile
  head/tests/sys/pjdfstest/tests/link/Makefile
  head/tests/sys/pjdfstest/tests/mkdir/Makefile
  head/tests/sys/pjdfstest/tests/mkfifo/Makefile
  head/tests/sys/pjdfstest/tests/mknod/Makefile
  head/tests/sys/pjdfstest/tests/open/Makefile
  head/tests/sys/pjdfstest/tests/rename/Makefile
  head/tests/sys/pjdfstest/tests/rmdir/Makefile
  head/tests/sys/pjdfstest/tests/symlink/Makefile
  head/tests/sys/pjdfstest/tests/truncate/Makefile
  head/tests/sys/pjdfstest/tests/unlink/Makefile
  head/tests/sys/posixshm/Makefile
  head/tests/sys/sys/Makefile
  head/tests/sys/vfs/Makefile
  head/tests/sys/vm/Makefile
  head/usr.bin/apply/tests/Makefile
  head/usr.bin/basename/tests/Makefile
  head/usr.bin/bmake/tests/Makefile
  head/usr.bin/bmake/tests/archives/Makefile
  head/usr.bin/bmake/tests/archives/fmt_44bsd/Makefile
  head/usr.bin/bmake/tests/archives/fmt_44bsd_mod/Makefile
  head/usr.bin/bmake/tests/archives/fmt_oldbsd/Makefile
  head/usr.bin/bmake/tests/basic/Makefile
  head/usr.bin/bmake/tests/basic/t0/Makefile
  head/usr.bin/bmake/tests/basic/t1/Makefile
  head/usr.bin/bmake/tests/basic/t2/Makefile
  head/usr.bin/bmake/tests/basic/t3/Makefile
  head/usr.bin/bmake/tests/execution/Makefile
  head/usr.bin/bmake/tests/execution/ellipsis/Makefile
  head/usr.bin/bmake/tests/execution/empty/Makefile
  head/usr.bin/bmake/tests/execution/joberr/Makefile
  head/usr.bin/bmake/tests/execution/plus/Makefile
  head/usr.bin/bmake/tests/shell/Makefile
  head/usr.bin/bmake/tests/shell/builtin/Makefile
  head/usr.bin/bmake/tests/shell/meta/Makefile
  head/usr.bin/bmake/tests/shell/path/Makefile
  head/usr.bin/bmake/tests/shell/path_select/Makefile
  head/usr.bin/bmake/tests/shell/replace/Makefile
  head/usr.bin/bmake/tests/shell/select/Makefile
  head/usr.bin/bmake/tests/suffixes/Makefile
  head/usr.bin/bmake/tests/suffixes/basic/Makefile
  head/usr.bin/bmake/tests/suffixes/src_wild1/Makefile
  head/usr.bin/bmake/tests/suffixes/src_wild2/Makefile
  head/usr.bin/bmake/tests/syntax/Makefile
  head/usr.bin/bmake/tests/syntax/directive-t0/Makefile
  head/usr.bin/bmake/tests/syntax/enl/Makefile
  head/usr.bin/bmake/tests/syntax/funny-targets/Makefile
  head/usr.bin/bmake/tests/syntax/semi/Makefile
  head/usr.bin/bmake/tests/sysmk/Makefile
  head/usr.bin/bmake/tests/sysmk/t0/2/1/Makefile
  head/usr.bin/bmake/tests/sysmk/t0/2/Makefile
  head/usr.bin/bmake/tests/sysmk/t0/Makefile
  head/usr.bin/bmake/tests/sysmk/t0/mk/Makefile
  head/usr.bin/bmake/tests/sysmk/t1/2/1/Makefile
  head/usr.bin/bmake/tests/sysmk/t1/2/Makefile
  head/usr.bin/bmake/tests/sysmk/t1/Makefile
  head/usr.bin/bmake/tests/sysmk/t1/mk/Makefile
  head/usr.bin/bmake/tests/sysmk/t2/2/1/Makefile
  head/usr.bin/bmake/tests/sysmk/t2/2/Makefile
  head/usr.bin/bmake/tests/sysmk/t2/Makefile
  head/usr.bin/bmake/tests/sysmk/t2/mk/Makefile
  head/usr.bin/bmake/tests/variables/Makefile
  head/usr.bin/bmake/tests/variables/modifier_M/Makefile
  head/usr.bin/bmake/tests/variables/modifier_t/Makefile
  head/usr.bin/bmake/tests/variables/opt_V/Makefile
  head/usr.bin/bmake/tests/variables/t0/Makefile
  head/usr.bin/calendar/tests/Makefile
  head/usr.bin/cmp/tests/Makefile
  head/usr.bin/col/tests/Makefile
  head/usr.bin/comm/tests/Makefile
  head/usr.bin/cpio/tests/Makefile
  head/usr.bin/cut/tests/Makefile
  head/usr.bin/dirname/tests/Makefile
  head/usr.bin/file2c/tests/Makefile
  head/usr.bin/grep/tests/Makefile
  head/usr.bin/gzip/tests/Makefile
  head/usr.bin/ident/tests/Makefile
  head/usr.bin/join/tests/Makefile
  head/usr.bin/jot/tests/Makefile
  head/usr.bin/lastcomm/tests/Makefile
  head/usr.bin/limits/tests/Makefile
  head/usr.bin/m4/tests/Makefile
  head/usr.bin/mkimg/tests/Makefile
  head/usr.bin/ncal/tests/Makefile
  head/usr.bin/printf/tests/Makefile
  head/usr.bin/sdiff/tests/Makefile
  head/usr.bin/sed/tests/Makefile
  head/usr.bin/sed/tests/regress.multitest.out/Makefile
  head/usr.bin/soelim/tests/Makefile
  head/usr.bin/tar/tests/Makefile
  head/usr.bin/tests/Makefile
  head/usr.bin/timeout/tests/Makefile
  head/usr.bin/tr/tests/Makefile
  head/usr.bin/truncate/tests/Makefile
  head/usr.bin/units/tests/Makefile
  head/usr.bin/uudecode/tests/Makefile
  head/usr.bin/uuencode/tests/Makefile
  head/usr.bin/xargs/tests/Makefile
  head/usr.bin/xo/tests/Makefile
  head/usr.bin/yacc/tests/Makefile
  head/usr.sbin/chown/tests/Makefile
  head/usr.sbin/etcupdate/tests/Makefile
  head/usr.sbin/extattr/tests/Makefile
  head/usr.sbin/fstyp/tests/Makefile
  head/usr.sbin/makefs/tests/Makefile
  head/usr.sbin/newsyslog/tests/Makefile
  head/usr.sbin/nmtree/tests/Makefile
  head/usr.sbin/pw/tests/Makefile
  head/usr.sbin/rpcbind/tests/Makefile
  head/usr.sbin/sa/tests/Makefile
  head/usr.sbin/tests/Makefile
Comment 7 Enji Cooper freebsd_committer 2016-05-06 01:38:41 UTC
Verified fixed in this build \^o^/:
https://jenkins.freebsd.org/job/FreeBSD_HEAD/252/testReport/